Name: gtkhtml20
Version: 1.0.4
Release: alt3

%def_enable compat

Summary: GtkHTML is a HTML rendering/editing library
License: GPL
Group: Graphical desktop/GNOME

Url: http://ftp.gnome.org/pub/GNOME/sources/gtkhtml/1.0
Source: %url/gtkhtml-%version.tar.bz2

Patch0: gtkhtml-1.0.4-desktopfile.patch
Patch1: gtkhtml-1.0.4-fontsize.patch.bz2
Patch2: gtkhtml-1.0.2-rh-textslave.patch

Requires: lib%name = %version-%release

# Automatically added by buildreq on Wed Oct 22 2003
BuildRequires: ORBit-devel XFree86-devel esound-devel freetype2-devel gdk-pixbuf-devel glib-devel gnome-libs-devel gtk+-devel imlib-devel libGConf-devel libaudiofile-devel libbonobo-devel libcapplet-devel libdb1-devel libgal-devel libghttp-devel libglade-devel libgnomeprint-devel libpopt-devel libwrap-devel libxml-devel oaf-devel zlib-devel

PreReq: oaf >= 0.6.6

%description
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%package -n lib%name
Summary: Libraries for GtkHTML
Group: System/Libraries

%description -n lib%name
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains libraries used by GtkHTML.

%package -n lib%name-devel
Summary: Development libraries, header files and utilities for GtkHTML
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release

%description -n lib%name-devel
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.

%prep
%setup -q -n gtkhtml-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
export lt_cv_prog_cc_static_works=no
%configure --with-gconf --with-bonobo
%make_build

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT%_menudir

%__cat <<EOF >$RPM_BUILD_ROOT%_menudir/%name
?package(%name):command="%_bindir/gtkhtml-properties-capplet" \
  needs="gnome" section="Configuration/Gnome" title="HTML Viewer" \
  longtitle="HTML Viewer properties"

EOF
# .directory files  convertion
find $RPM_BUILD_ROOT%_datadir/ '*.desktop' -type f -exec \
	%_bindir/conv_deskfiles.pl {} \; ||:
find $RPM_BUILD_ROOT%_datadir/ '.directory' -type f -exec \
	%_bindir/conv_deskfiles.pl {} \; ||:

%find_lang %name

%pre
if [ "$DURING_INSTALL" = "" ]; then
	%_bindir/oaf-slay -s ||:
fi

%post
%update_menus

%postun
%clean_menus

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%if_disabled compat

%files -f %name.lang
%_bindir/*
%_libdir/bonobo/plugin/*.so
%_datadir/gtkhtml
#_datadir/gnome/apps/Settings/Documents/*.desktop
%_datadir/applications/*.desktop
%_datadir/gnome/ui/*
%_datadir/control-center/Documents/*.desktop
%_datadir/oaf/*
%_sysconfdir/CORBA/servers/*.gnorba
%_menudir/*

%endif

%files -n lib%name
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_libdir/*.so.*

%files -n lib%name-devel
#_libdir/*.la
%_libdir/*.so
%_includedir/gtkhtml
%_libdir/*.sh
#_libdir/bonobo/plugin/*.la

%changelog
* Fri Oct 31 2003 Alexey Tourbin <at@altlinux.ru> 1.0.4-alt3
- security update (crash in htmltextslave.c, CAN-2003-0541)
- package only lib%name and lib%name-devel by default

* Mon Nov 18 2002 AEN <aen@altlinux.ru> 1.0.4-alt2
- docs removed from devel

* Thu Nov 14 2002 AEN <aen@altlinux.ru> 1.0.4-alt1
- new package: gtkhtml20

* Tue Oct 22 2002 AEN <aen@altlinux.ru> 1.0.4-alt2
- rebuilt with G2 libs
- patches from RH & MDK

* Mon Jun 24 2002 AEN <aen@logic.ru> 1.0.4-alt1
- russian translation from Leon (leon@blackcatlinux.com) removed
- wrong Leon's address in changelog (Mon Jan 21) fixed
- new version

* Mon May 13 2002 AEN <aen@logic.ru> 1.0.3-alt1
- new version

* Fri Mar 15 2002 AEN <aen@logic.ru> 1.0.1-alt4
- BuildRequires on gnome-libs-devel fixed

* Wed Mar 13 2002 AEN <aen@logic.ru> 1.0.1-alt3
- rebuild with convdesk

* Mon Jan 21 2002 AEN <aen@logic.ru> 1.0.1-alt2
- russian translation from Leon (leon@blackcatlinux.com)

* Mon Jan 14 2002 AEN <aen@logic.ru> 1.0.1-alt1
- new version

* Wed Dec 5 2001 AEN <aen@logic.ru> 1.0-alt1
- release

* Mon Nov 19 2001 AEN <aen@logic.ru> 0.16.1-alt3
- fixes fron CVS, built with gconf

* Thu Nov 15 2001 AEN <aen@logic.ru> 0.16.1-alt2
- built w/o GConf

* Thu Nov 15 2001 AEN <aen@logic.ru> 0.16.1-alt1
- new version
- gconf patch (fix compilation error)

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.16.0-alt2
- fontset patch from MDK

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.16.0-alt1
- new release

* Fri Oct 26 2001 AEN <aen@logic.ru> 0.16.0-alt0.1
- new sources from CVS

* Tue Oct 9 2001 AEN <aen@logic.ru> 0.14.0-alt1
- new version

* Thu Sep 06 2001 AEN <aen@logic.ru> 0.12.0-alt2
- build w/o test (thnx to Sergey Vlasov)

* Wed Sep 5 2001 AEN <aen@logic.ru> 0.12.0-alt1
- new release
- use oaf-slay at pre-install

* Thu Aug 09 2001 AEN <aen@logic.ru> 0.11.1-alt1
- new release

* Wed Jul 18 2001 AEN <aen@logic.ru> 0.10.1-alt1
- new release

* Wed Jul 18 2001 AEN <aen@logic.ru> 0.10.0-alt1
- new release

* Mon Jul 9 2001 AEN <aen@logic.ru> 0.9.99.1-alt1
- new snapshot

* Thu May 24 2001 AEN <aen@logic.ru> 0.9.3-alt2
- new snapshot

* Thu May 24 2001 AEN <aen@logic.ru> 0.9.3-alt1
- build 0.9.3+ from cvs

* Mon May 21 2001 AEN <aen@logic.ru> 0.9.2-alt2
- rebuild with libgal-0.8

* Fri May 18 2001 AEN <aen@logic.ru> 0.9.2-alt1
- new version
* Wed May 15 2001 AEN <aen@logic.ru> 0.8.3-alt3
- build conflicts with libxml2 removed

* Tue May 15 2001 Alexander Bokovoy <ab@altlinux.ru> 0.8.3-alt2
- Rebuild with new gal
- Some dependencies fixed (ghttp)
- Static libraries moved to libgtkhtml-devel-static

* Sat Apr 7 2001 AEN <aen@logic.ru> 0.8.3-alt1
- 0.8.3

* Thu Feb 22 2001 AEN <aen@logic.ru> 0.8.2-ipl2mdk
- rebuild with bonobo-0.37

* Thu Feb 22 2001 AEN <aen@logic.ru> 0.8.2-ipl1mdk
- 0.8.2
- build with new gal
* Sat Dec 16 2000 AEN <aen@logic.ru>
- rebuild with gal-0.4.1
* Thu Dec 14 2000 AEN <aen@logic.ru>
- 0.8
- build with bonobo-0.30
* Thu Dec 14 2000 AEN <aen@logic.ru>
- adopted for RE
- build with gal-0.3

* Fri Dec  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-3mdk
- Correct build requires until upstream has upgrade to new bonobo

* Wed Nov 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Rebuild with new gcc
- Split package

* Wed Oct 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7
- add menu entry

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-1mdk
- Release 0.6.1 (merged from helix_3 package)
- compiled with pspell support

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-3mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- BM + macroszification
- compiled without gconf (since its API is not yet stable)
- added missing files for oaf/html-editor-component (needed for Evolution)

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.5-1mdk
- Packaged for Mandrake

